Public Class IngresoDetalleCE
    Private _CodigoInversion As String
    Private _CodigoInstrumentoFinanciero As String
    Private _CodigoEmpresa As String
    Private _CodigoEmisor As Integer
    Private _CodigoEmpresaCalificadora As String
    Private _NombreManualIF As String
    Private _CodigoManualIF As String
    Private _FechaVencimiento As DateTime
    Private _MontoCapitalProyectado As Double
    Private _MontoIngresoBrutoProyectado As Double
    Private _MontoISRProyectado As Double
    Private _MontoIngresoNetoProyectado As Double
    Private _MontoIngresoLiquidoProyectado As Double
    Private _IngresoId As Integer
    Private _SAP_BD As String
    Private _EstadoDelIngreso As String

    Public Property CodigoInversion As String
        Get
            Return _CodigoInversion
        End Get
        Set(ByVal Value As String)
            _CodigoInversion = Value
        End Set
    End Property

    Public Property CodigoInstrumentoFinanciero As String
        Get
            Return _CodigoInstrumentoFinanciero
        End Get
        Set(ByVal Value As String)
            _CodigoInstrumentoFinanciero = Value
        End Set
    End Property

    Public Property CodigoEmpresa As String
        Get
            Return _CodigoEmpresa
        End Get
        Set(ByVal Value As String)
            _CodigoEmpresa = Value
        End Set
    End Property





    Public Property NombreManualIF As String
        Get
            Return _NombreManualIF
        End Get
        Set(ByVal Value As String)
            _NombreManualIF = Value
        End Set
    End Property

    Public Property CodigoManualIF As String
        Get
            Return _CodigoManualIF
        End Get
        Set(ByVal Value As String)
            _CodigoManualIF = Value
        End Set
    End Property

    Public Property FechaVencimiento As DateTime
        Get
            Return _FechaVencimiento
        End Get
        Set(ByVal Value As DateTime)
            _FechaVencimiento = Value
        End Set
    End Property

    Public Property MontoCapitalProyectado As Double
        Get
            Return _MontoCapitalProyectado
        End Get
        Set(ByVal Value As Double)
            _MontoCapitalProyectado = Value
        End Set
    End Property

    Public Property MontoIngresoBrutoProyectado As Double
        Get
            Return _MontoIngresoBrutoProyectado
        End Get
        Set(ByVal Value As Double)
            _MontoIngresoBrutoProyectado = Value
        End Set
    End Property

    Public Property MontoISRProyectado As Double
        Get
            Return _MontoISRProyectado
        End Get
        Set(ByVal Value As Double)
            _MontoISRProyectado = Value
        End Set
    End Property

    Public Property MontoIngresoNetoProyectado As Double
        Get
            Return _MontoIngresoNetoProyectado
        End Get
        Set(ByVal Value As Double)
            _MontoIngresoNetoProyectado = Value
        End Set
    End Property



    Public Property IngresoId As Integer
        Get
            Return _IngresoId
        End Get
        Set(ByVal Value As Integer)
            _IngresoId = Value
        End Set
    End Property
    Public Property EstadoDelIngreso As String
        Get
            Return _EstadoDelIngreso
        End Get
        Set(ByVal Value As String)
            _EstadoDelIngreso = Value
        End Set
    End Property
    Public Property SAP_BD As String
        Get
            Return _SAP_BD
        End Get
        Set(ByVal Value As String)
            _SAP_BD = Value
        End Set
    End Property

    Public Sub New()
        _CodigoInversion = String.Empty
        _CodigoInstrumentoFinanciero = String.Empty
        _CodigoEmpresa = String.Empty
        _CodigoEmisor = 0
        _CodigoEmpresaCalificadora = String.Empty
        _NombreManualIF = String.Empty
        _CodigoManualIF = String.Empty
        _FechaVencimiento = Date.MinValue.Date
        _MontoCapitalProyectado = 0
        _MontoIngresoBrutoProyectado = 0
        _MontoISRProyectado = 0
        _MontoIngresoNetoProyectado = 0
        _MontoIngresoLiquidoProyectado = 0
        _IngresoId = 0
        _SAP_BD = String.Empty
        _EstadoDelIngreso = ""
    End Sub

End Class
